@import 'framework/variables';
@import 'framework/variables_overrides';

#js-peek {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: #{$zindex-modal-backdrop - 1};

  height: $performance-bar-height;
  background: $black;
  font-size: $gl-font-size-small;
  line-height: $performance-bar-height;
  color: $gray-50;

  select {
    width: 200px;
  }

  input {
    width: $input-short-width - 60px;
  }

  select,
  input {
    color: inherit;
    background-color: rgba($white, 0.2);

    &::placeholder {
      color: rgba($white, 0.7);
    }
  }

  option {
    color: initial;
  }

  &.disabled {
    display: none;
  }

  &.production {
    background-color: $perf-bar-production;
  }

  &.staging {
    background-color: $perf-bar-staging;
  }

  &.development {
    background-color: $perf-bar-development;
  }

  // UI Elements
  .bucket {
    background: $perf-bar-bucket-bg;
    display: inline-block;
    padding: 4px 6px;
    font-family: Consolas, 'Liberation Mono', Courier, monospace;
    line-height: 1;
    border-radius: 3px;
    box-shadow: 0 1px 0 $perf-bar-bucket-box-shadow-from,
      inset 0 1px 2px $perf-bar-bucket-box-shadow-to;

    .hidden {
      display: none;
    }

    &:hover .hidden {
      display: inline;
    }
  }

  .current-host.canary {
    color: $perf-bar-canary-text;
  }

  strong {
    color: $white;
  }

  table {
    color: $black;

    td {
      vertical-align: top;
    }

    .backtrace-row {
      display: none;
    }
  }

  .view {
    flex-shrink: 0;

    &:last-child {
      margin-right: 0;
    }
  }

  .view-performance-container,
  .view-reports-container {
    margin-right: $gl-padding-24;

    .view:not(:first-child) {
      margin-right: 0;

      &::before {
        content: '•';
        opacity: .5;
        display: inline-block;
        margin: 0 $gl-padding-8;
      }
    }
  }

  .css-truncate {
    &.css-truncate-target,
    .css-truncate-target {
      display: inline-block;
      max-width: 125px;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      vertical-align: top;
    }

    &.expandable:hover .css-truncate-target,
    &.expandable:hover.css-truncate-target {
      max-width: 10000px !important;
    }
  }

  .performance-bar-modal {
    .modal-body {
      padding: 0;
    }

    .modal-footer {
      display: none;
    }
  }
}

#modal-peek-pg-queries-content {
  color: $black;
}

